generic
   type Key_Type is private; 
   with function "<" (
         Left,            
         Right : Key_Type ) 
     return Boolean; 
   with function ">" (
         Left,            
         Right : Key_Type ) 
     return Boolean; 

package Paskma.Sorts is

   type Vector_Type is array (Integer range <>) of Key_Type; 

   procedure Quick_Sort (
         Vector : in out Vector_Type ); 
end Paskma.Sorts;