with
   Ada.Strings.Unbounded,
   Ada.Calendar;

use
   Ada.Strings.Unbounded,
   Ada.Calendar;

package Paskma.Time_Utilities is
   ---------------------------------------------------------------------------------------
   function Time_To_String (
         A_Time : Time ) 
     return Unbounded_String; 

   ---------------------------------------------------------------------------------------

   function Date_To_String (
         A_Time : Time ) 
     return Unbounded_String; 

   ---------------------------------------------------------------------------------------

   function Get_Current_Time return Unbounded_String; 

   ---------------------------------------------------------------------------------------

   function Get_Current_Date return Unbounded_String; 

   ---------------------------------------------------------------------------------------

   function To_Archive_Time_Stamp (
         From_Time : Time ) 
     return Unbounded_String; 
   -- returns the time stamp usable in filenames (the delimiter is _underscore)

   ---------------------------------------------------------------------------------------

   function Get_Archive_Time_Stamp return Unbounded_String; 
   -- returns the time stamp usable in filenames (the delimiter is _underscore)

   ---------------------------------------------------------------------------------------

end Paskma.Time_Utilities;