   with Ada.Strings.Unbounded;

use Ada.Strings.Unbounded;

package Pi_Commands is

   Invalid_Command : exception;  

   type Command_Type is 
         (The_User, 
          The_Pass, 
          The_Acct, 
          The_Cwd,  
          The_Cdup, 
          The_Xcup, 
          The_Smnt, 
          The_Quit, 
          The_Rein, 
          The_Port, 
          The_Pasv, 
          The_Type, 
          The_Stru, 
          The_Mode, 
          The_Retr, 
          The_Stor, 
          The_Stou, 
          The_Appe, 
          The_Allo, 
          The_Rest, 
          The_Rnfr, 
          The_Rnto, 
          The_Abor, 
          The_Dele, 
          The_Rmd,  
          The_Xrmd, 
          The_Mkd,  
          The_Xmkd, 
          The_Pwd,  
          The_Xpwd, 
          The_List, 
          The_Nlst, 
          The_Site, 
          The_Syst, 
          The_Stat, 
          The_Help, 
          The_Noop); 

   function To_Command (
         Line : Unbounded_String ) 
     return Command_Type; 

end Pi_Commands;