with Ada.Strings.Unbounded;

use Ada.Strings.Unbounded;

package File_Utilities is

   function Compose_Path (
         Directory,                   
         File      : Unbounded_String ) 
     return Unbounded_String; 

   function Compose_Logical_Path (
         Directory,                   
         File      : Unbounded_String ) 
     return Unbounded_String; 

   function Normalize_Directory_Name (
         Directory_Name : Unbounded_String ) 
     return Unbounded_String; 

   function Display_Directory_Name (
         Directory_Name : Unbounded_String ) 
     return Unbounded_String; 

   function Get_First_Path_Element (
         Path : Unbounded_String ) 
     return Unbounded_String; 

   function Cut_First_Path_Element (
         Path : Unbounded_String ) 
     return Unbounded_String; 

   function Logical_To_Physical_Separator (
         Filename : Unbounded_String ) 
     return Unbounded_String; 

   function Cut_Last_Path_Element (
         Path : Unbounded_String ) 
     return Unbounded_String; 

   function Cut_Last_Physical_Path_Element (
         Path : Unbounded_String ) 
     return Unbounded_String; 

   function Get_Last_Physical_Path_Element (
         Path : Unbounded_String ) 
     return Unbounded_String; 

end File_Utilities;